Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 589799

Summary: listview bug with SSM selections
Product: [Community] Spacewalk Reporter: Máirín Duffy <duffy>
Component: WebUIAssignee: Jan Pazdziora <jpazdziora>
Status: CLOSED CURRENTRELEASE QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: medium Docs Contact:
Priority: low    
Version: 1.1CC: jpazdziora, paji, tlestach
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-22 16:48:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 723481    

Description Máirín Duffy 2010-05-06 21:49:36 UTC
Description of problem:

Normally, a listview in Spacewalk will tell you something like this in the upper right corner and lower right corner:

"1-14 of 20 (2 selected)"

Generally, the '20' refers to the number of total items in that list only, and the '2 selected' items are members of that list.

However, there's a big of a bug in this display. For lists that are SSM-powered (E.g., pretty much any list under Systems > Systems), the 'selected' portion of the text refers to how many things are in the SSM - even if some of those things aren't in the list you're looking at.

For example, let's say I'm looking at the 'Out-of-Date' systems list, and I select 10 systems. They get put in the SSM. now I have 10 systems in the SSM.

Then I navigate to the 'Recently Registered' list, and I select 2 systems. My system list page numbering will look like this:

"1-5 of 5 (12 selected)"

It's a little weird. I don't know the answer to this dilemma. But it's definitely a confusing bug.

Comment 1 Jan Pazdziora 2010-10-27 08:32:51 UTC
Mass-aligning under space12, so that we don't lose track of this bugzilla. This however does not mean that we plan (will be able to) address this bug in Spacewalk 1.2.

Comment 2 Jan Pazdziora 2010-11-19 16:04:31 UTC
Mass-moving to space13.

Comment 3 Miroslav Suchý 2011-04-11 07:33:06 UTC
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.

Comment 4 Miroslav Suchý 2011-04-11 07:37:01 UTC
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.

Comment 5 Jan Pazdziora 2011-07-20 11:51:16 UTC
Aligning under space16.

Comment 6 Jan Pazdziora 2011-10-07 12:08:10 UTC
(In reply to comment #0)
> Description of problem:
> 
> Normally, a listview in Spacewalk will tell you something like this in the
> upper right corner and lower right corner:
> 
> "1-14 of 20 (2 selected)"
> 
> Generally, the '20' refers to the number of total items in that list only, and
> the '2 selected' items are members of that list.
> 
> However, there's a big of a bug in this display. For lists that are SSM-powered
> (E.g., pretty much any list under Systems > Systems), the 'selected' portion of
> the text refers to how many things are in the SSM - even if some of those
> things aren't in the list you're looking at.
> 
> For example, let's say I'm looking at the 'Out-of-Date' systems list, and I
> select 10 systems. They get put in the SSM. now I have 10 systems in the SSM.
> 
> Then I navigate to the 'Recently Registered' list, and I select 2 systems. My
> system list page numbering will look like this:
> 
> "1-5 of 5 (12 selected)"
> 
> It's a little weird. I don't know the answer to this dilemma. But it's
> definitely a confusing bug.

Máirín, isn't this actually correct? Yes, you are looking at five records, yet there are 12 systems in the SSM. Do we actually have a way to know that you have those 2 systems selected for the current listview?

Comment 7 Máirín Duffy 2011-10-07 13:47:41 UTC
Hey Jan, it is actually correct; it's just confusing / disorienting.

I *think* maybe a easy fix (if this string can be changed in just one place) would be to say something like

"1-5 of 5 (12 items in SSM)"

Although that's still odd. Maybe better would be to just have 

"1-5 of 5" in the list view, and have the SSM count in the SSM bar?

Comment 8 Tomas Lestach 2011-10-14 09:26:15 UTC
Omitting number of selected items for SSM related system selections ...

spacewalk.git: fd5b69ac8cce60761a99a9cd7e80dbc7b44989f9

Comment 9 Milan Zázrivec 2011-12-22 16:48:54 UTC
Spacewalk 1.6 has been released.